import type { ProjectGraph } from '../../config/project-graph';
import { type SyncGeneratorChangesResult } from '../../utils/sync-generators';
export declare function getCachedSyncGeneratorChanges(generators: string[]): Promise<SyncGeneratorChangesResult[]>;
export declare function clearCachedSyncGeneratorChanges(generators: string[]): void;
export declare function collectAndScheduleSyncGenerators(projectGraph: ProjectGraph): void;
export declare function getCachedRegisteredSyncGenerators(): Promise<string[]>;
